      subroutine p_mu_a(iact_min,nlink,namin,beta0,b,a,hasum)
c bernd berg, apr 25 2002.  potts model, calculates the 
c   dimensionless microcanonical free energy parameters.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      dimension b(0:nlink),a(0:nlink),hasum(0:nlink)
c
      if(namin.le.0) stop "p_mu_a: namin false."
      a(iact_min)=-(beta0-b(iact_min))*namin ! ferdinand-fisher normalization.
      iact_old=iact_min
      do iact=(iact_min+1),nlink
        if(hasum(iact).gt.half) then
          a(iact)=a(iact_old)+(b(iact)-b(iact_old))*iact_old
          iact_old=iact
        end if
      end do
c
      return
      end
